Subject: bug#35649: 12.1.2; Creating a beamer document fails

From: Ikumi Keita <[email-masked]>
Date: Fri, 10 May 2019 14:54:23 +0900

Hi Arash,

>>>>> Arash Esbati <[email-masked]> writes:
>> What way should we take?  To partially revert the change discussed in
>> [1]?  Or to fix the style file each time similar problem occurs?  Or
>> somethig else?

> Hi Keita,

> I haven't looked at it in depth, but what do you think about this
> solution?

Thanks, it works well.  This is categorazed in the second type of the
approaches mentioned above.  Does anyone have different opinion that we
should take the first conservative type approach?  If not, I agree with
this solution.

> diff --git a/style/beamer.el b/style/beamer.el
> index fb69fc41..5de0d323 100644
> --- a/style/beamer.el
> +++ b/style/beamer.el
> @@ -363,6 +363,7 @@ also be a string.  Then the length of the string is used."

>  (defun LaTeX-beamer-class-options ()
>    "Read the beamer class options from the user."
> +  (TeX-load-style "hyperref")
>    (TeX-read-key-val t '(("usepdftitle" ("false")) ("envcountsect")
>                         ("notheorems") ("noamsthm") ("compress") ("t") ("c")
>                         ("leqno") ("fleqn") ("handout") ("trans") ("pdftex")

Regards,
Ikumi Keita